{
  "kind": "Pod",
  "apiVersion": "v1",
  "metadata": {
    "name": "dev-sdc-be-6c5568bf6d-f2rh4",
    "generateName": "dev-sdc-be-6c5568bf6d-",
    "namespace": "onap",
    "selfLink": "/api/v1/namespaces/onap/pods/dev-sdc-be-6c5568bf6d-f2rh4",
    "uid": "5299693c-43cf-11e8-b362-024d5e023284",
    "resourceVersion": "345711",
    "creationTimestamp": "2018-04-19T12:43:55Z",
    "labels": {
      "app": "sdc-be",
      "pod-template-hash": "2711246928",
      "release": "dev"
    },
    "annotations": {
      "kubernetes.io/created-by": "{\"kind\":\"SerializedReference\",\"apiVersion\":\"v1\",\"reference\":{\"kind\":\"ReplicaSet\",\"namespace\":\"onap\",\"name\":\"dev-sdc-be-6c5568bf6d\",\"uid\":\"525bfdbf-43cf-11e8-b362-024d5e023284\",\"apiVersion\":\"extensions\",\"resourceVersion\":\"333902\"}}\n"
    },
    "ownerReferences": [
      {
        "apiVersion": "extensions/v1beta1",
        "kind": "ReplicaSet",
        "name": "dev-sdc-be-6c5568bf6d",
        "uid": "525bfdbf-43cf-11e8-b362-024d5e023284",
        "controller": true,
        "blockOwnerDeletion": true
      }
    ]
  },
  "spec": {
    "volumes": [
      {
        "name": "dev-sdc-be-localtime",
        "hostPath": {
          "path": "/etc/localtime",
          "type": ""
        }
      },
      {
        "name": "dev-sdc-be-filebeat-conf",
        "configMap": {
          "name": "dev-sdc-filebeat-configmap",
          "defaultMode": 420
        }
      },
      {
        "name": "dev-sdc-be-data-filebeat",
        "emptyDir": {}
      },
      {
        "name": "dev-sdc-be-logback",
        "configMap": {
          "name": "dev-sdc-be-logging-configmap",
          "defaultMode": 420
        }
      },
      {
        "name": "dev-sdc-be-environments",
        "configMap": {
          "name": "dev-sdc-environments-configmap",
          "defaultMode": 493
        }
      },
      {
        "name": "dev-sdc-be-logs",
        "emptyDir": {}
      },
      {
        "name": "default-token-8h2b6",
        "secret": {
          "secretName": "default-token-8h2b6",
          "defaultMode": 420
        }
      }
    ],
    "initContainers": [
      {
        "name": "sdc-be-readiness",
        "image": "oomk8s/readiness-check:2.0.0-amartus",
        "command": [
          "/root/ready.py"
        ],
        "args": [
          "--container-name",
          "sdc-es",
          "--container-name",
          "sdc-cs"
        ],
        "env": [
          {
            "name": "NAMESPACE",
            "valueFrom": {
              "fieldRef": {
                "apiVersion": "v1",
                "fieldPath": "metadata.namespace"
              }
            }
          }
        ],
        "resources": {},
        "volumeMounts": [
          {
            "name": "default-token-8h2b6",
            "readOnly": true,
            "mountPath": "/var/run/secrets/kubernetes.io/serviceaccount"
          }
        ],
        "terminationMessagePath": "/dev/termination-log",
        "terminationMessagePolicy": "File",
        "imagePullPolicy": "IfNotPresent"
      },
      {
        "name": "sdc-be-job-completion",
        "image": "oomk8s/readiness-check:2.0.0-amartus",
        "command": [
          "/root/job_complete.py"
        ],
        "args": [
          "--job-name",
          "dev-sdc-cs-config-cassandra"
        ],
        "env": [
          {
            "name": "NAMESPACE",
            "valueFrom": {
              "fieldRef": {
                "apiVersion": "v1",
                "fieldPath": "metadata.namespace"
              }
            }
          }
        ],
        "resources": {},
        "volumeMounts": [
          {
            "name": "default-token-8h2b6",
            "readOnly": true,
            "mountPath": "/var/run/secrets/kubernetes.io/serviceaccount"
          }
        ],
        "terminationMessagePath": "/dev/termination-log",
        "terminationMessagePolicy": "File",
        "imagePullPolicy": "IfNotPresent"
      }
    ],
    "containers": [
      {
        "name": "sdc-be",
        "image": "nexus3.onap.org:10001/onap/sdc-backend:1.2-STAGING-latest",
        "ports": [
          {
            "containerPort": 8443,
            "protocol": "TCP"
          },
          {
            "containerPort": 8080,
            "protocol": "TCP"
          }
        ],
        "env": [
          {
            "name": "ENVNAME",
            "value": "AUTO"
          },
          {
            "name": "JAVA_OPTIONS"
          },
          {
            "name": "HOST_IP",
            "valueFrom": {
              "fieldRef": {
                "apiVersion": "v1",
                "fieldPath": "status.podIP"
              }
            }
          }
        ],
        "resources": {},
        "volumeMounts": [
          {
            "name": "dev-sdc-be-environments",
            "mountPath": "/root/chef-solo/environments/"
          },
          {
            "name": "dev-sdc-be-localtime",
            "readOnly": true,
            "mountPath": "/etc/localtime"
          },
          {
            "name": "dev-sdc-be-logs",
            "mountPath": "/var/log/onap"
          },
          {
            "name": "dev-sdc-be-logback",
            "mountPath": "/tmp/logback.xml"
          },
          {
            "name": "default-token-8h2b6",
            "readOnly": true,
            "mountPath": "/var/run/secrets/kubernetes.io/serviceaccount"
          }
        ],
        "livenessProbe": {
          "tcpSocket": {
            "port": 8443
          },
          "initialDelaySeconds": 10,
          "timeoutSeconds": 1,
          "periodSeconds": 10,
          "successThreshold": 1,
          "failureThreshold": 3
        },
        "readinessProbe": {
          "tcpSocket": {
            "port": 8443
          },
          "initialDelaySeconds": 10,
          "timeoutSeconds": 1,
          "periodSeconds": 10,
          "successThreshold": 1,
          "failureThreshold": 3
        },
        "lifecycle": {
          "postStart": {
            "exec": {
              "command": [
                "/bin/sh",
                "-c",
                "export LOG=wait_logback.log; touch $LOG; export SRC=/tmp/logback.xml; export DST=/var/lib/jetty/config/catalog-be/; while [ ! -e $DST ]; do echo 'Waiting for $DST...' >> $LOG; sleep 5; done; sleep 2; /bin/cp -f $SRC $DST; echo 'Done' >> $LOG"
              ]
            }
          }
        },
        "terminationMessagePath": "/dev/termination-log",
        "terminationMessagePolicy": "File",
        "imagePullPolicy": "IfNotPresent"
      },
      {
        "name": "sdc-be-filebeat-onap",
        "image": "docker.elastic.co/beats/filebeat:5.5.0",
        "resources": {},
        "volumeMounts": [
          {
            "name": "dev-sdc-be-filebeat-conf",
            "mountPath": "/usr/share/filebeat/filebeat.yml",
            "subPath": "filebeat.yml"
          },
          {
            "name": "dev-sdc-be-logs",
            "mountPath": "/var/log/onap"
          },
          {
            "name": "dev-sdc-be-data-filebeat",
            "mountPath": "/usr/share/filebeat/data"
          },
          {
            "name": "default-token-8h2b6",
            "readOnly": true,
            "mountPath": "/var/run/secrets/kubernetes.io/serviceaccount"
          }
        ],
        "terminationMessagePath": "/dev/termination-log",
        "terminationMessagePolicy": "File",
        "imagePullPolicy": "IfNotPresent"
      }
    ],
    "restartPolicy": "Always",
    "terminationGracePeriodSeconds": 30,
    "dnsPolicy": "ClusterFirst",
    "serviceAccountName": "default",
    "serviceAccount": "default",
    "nodeName": "instance-1.c.radiant-destiny-199516.internal",
    "securityContext": {},
    "imagePullSecrets": [
      {
        "name": "onap-docker-registry-key"
      }
    ],
    "schedulerName": "default-scheduler",
    "tolerations": [
      {
        "key": "node.alpha.kubernetes.io/notReady",
        "operator": "Exists",
        "effect": "NoExecute",
        "tolerationSeconds": 300
      },
      {
        "key": "node.alpha.kubernetes.io/unreachable",
        "operator": "Exists",
        "effect": "NoExecute",
        "tolerationSeconds": 300
      }
    ]
  },
  "status": {
    "phase": "Running",
    "conditions": [
      {
        "type": "Initialized",
        "status": "True",
        "lastProbeTime": null,
        "lastTransitionTime": "2018-04-19T13:08:28Z"
      },
      {
        "type": "Ready",
        "status": "True",
        "lastProbeTime": null,
        "lastTransitionTime": "2018-04-19T14:37:06Z"
      },
      {
        "type": "PodScheduled",
        "status": "True",
        "lastProbeTime": null,
        "lastTransitionTime": "2018-04-19T12:43:55Z"
      }
    ],
    "hostIP": "172.17.0.1",
    "podIP": "10.42.93.181",
    "startTime": "2018-04-19T12:43:55Z",
    "initContainerStatuses": [
      {
        "name": "sdc-be-readiness",
        "state": {
          "terminated": {
            "exitCode": 0,
            "reason": "Completed",
            "startedAt": "2018-04-19T12:45:22Z",
            "finishedAt": "2018-04-19T13:05:26Z",
            "containerID": "docker://f2fafccc30addf07499ac60b48b8ee7bb76110765dbe702cb612caed8d5f5743"
          }
        },
        "lastState": {},
        "ready": true,
        "restartCount": 0,
        "image": "oomk8s/readiness-check:2.0.0-amartus",
        "imageID": "docker://sha256:5e38d48ba6f142913a457628113c29f22c9b6f98c5953e30c2eb8d3ba8f83464",
        "containerID": "docker://f2fafccc30addf07499ac60b48b8ee7bb76110765dbe702cb612caed8d5f5743"
      },
      {
        "name": "sdc-be-job-completion",
        "state": {
          "terminated": {
            "exitCode": 0,
            "reason": "Completed",
            "startedAt": "2018-04-19T13:06:40Z",
            "finishedAt": "2018-04-19T13:08:27Z",
            "containerID": "docker://0a1eb7c5deae6739ae76cb3c8f0b35158e09eeaaac8c6417f9ce38eea0cb1d0a"
          }
        },
        "lastState": {},
        "ready": true,
        "restartCount": 0,
        "image": "oomk8s/readiness-check:2.0.0-amartus",
        "imageID": "docker://sha256:5e38d48ba6f142913a457628113c29f22c9b6f98c5953e30c2eb8d3ba8f83464",
        "containerID": "docker://0a1eb7c5deae6739ae76cb3c8f0b35158e09eeaaac8c6417f9ce38eea0cb1d0a"
      }
    ],
    "containerStatuses": [
      {
        "name": "sdc-be",
        "state": {
          "running": {
            "startedAt": "2018-04-19T14:36:53Z"
          }
        },
        "lastState": {
          "terminated": {
            "exitCode": 137,
            "reason": "Error",
            "startedAt": "2018-04-19T13:08:50Z",
            "finishedAt": "2018-04-19T14:36:52Z",
            "containerID": "docker://d5e9c3b1f6516c4bd12c41332b747c67ff630d06fc47a367600f58ff8785c566"
          }
        },
        "ready": true,
        "restartCount": 1,
        "image": "nexus3.onap.org:10001/onap/sdc-backend:1.2-STAGING-latest",
        "imageID": "docker-pullable://nexus3.onap.org:10001/onap/sdc-backend@sha256:2baf562869fafa52a8354f2983fae2a5c81a365e558ac2e77a382f14f6bd1395",
        "containerID": "docker://d2d9bcbc3b6dc1710a419bb600adc2145c2b2ea8bdf3cf418a4256ec44266a72"
      },
      {
        "name": "sdc-be-filebeat-onap",
        "state": {
          "running": {
            "startedAt": "2018-04-19T13:09:05Z"
          }
        },
        "lastState": {},
        "ready": true,
        "restartCount": 0,
        "image": "docker.elastic.co/beats/filebeat:5.5.0",
        "imageID": "docker-pullable://docker.elastic.co/beats/filebeat@sha256:fe7602b641ed8ee288f067f7b31ebde14644c4722d9f7960f176d621097a5942",
        "containerID": "docker://f0a4daf6448c034b7f380022d071696abaf6215e939a16109038ae3e76fff836"
      }
    ],
    "qosClass": "BestEffort"
  }
}